package com.mx.dla.dda.reporte.ws.dtos;

import java.io.Serializable;

/**
 * Es la representacion de los parametros para el proceso de actualizacion masiva del Id de BroadView  
 */
public class ParamGeneraReporteDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String nombreArchivo;
	private String formato;
	private String comprimir;
	
	public String getNombreArchivo() {
		return nombreArchivo;
	}
	public void setNombreArchivo(String nombreArchivo) {
		this.nombreArchivo = nombreArchivo;
	}
	public String getFormato() {
		return formato;
	}
	public void setFormato(String formato) {
		this.formato = formato;
	}
	public String getComprimir() {
		return comprimir;
	}
	public void setComprimir(String comprimir) {
		this.comprimir = comprimir;
	}
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" nombreArchivo: _" + this.getNombreArchivo() + "_" + NEW_LINE);
		result.append(" formato: _" + this.getFormato() + "_" + NEW_LINE);
		result.append(" comprimir: _" + this.getComprimir() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
	
}
